#!/bin/bash
. ./testslib.sh

#
#  INTEL CONFIDENTIAL
#
#  Copyright 2008-2013 Intel Corporation All Rights Reserved.
#
#  The source code contained or described herein and all documents related to
#  the source code ("Material") are owned by Intel Corporation or its
#  suppliers or licensors.
#
#  Title to the Material remains with Intel Corporation or its suppliers and
#  licensors. The Material contains trade secrets and proprietary and
#  confidential information of Intel or its suppliers and licensors.
#  The Material is protected by worldwide copyright and trade secret laws and
#  treaty provisions. No part of the Material may be used, copied, reproduced,
#  modified, published, uploaded, posted, transmitted, distributed,
#  or disclosed in any way without Intel's prior express written permission.
#
#  No license under any patent, copyright, trade secret or other intellectual
#  property right is granted to or conferred upon you by disclosure
#  or delivery of the Materials, either expressly, by implication, inducement,
#  estoppel or otherwise. Any license under such intellectual property rights
#  must be express and approved by Intel in writing.
#

ParseTestArguments $@

Print " " 4
Print "Retrieve Characterization Results" 4 34
Print " " 4

scriptError=0
suppressCmdError=1 # compCode from response will be located in 'errorCode' variable

for domain in 0 1 2 # available domains
  do
    Print "Domain: $domain" 5
    GetNMPowerCharacterizationRange "$domain"
    if [ "$errorCode" != "00" ]; then
      scriptError=1
      break
    fi
  done

if [ $scriptError -eq 1 ]; then
  Print " " 4
  Print "Can not retrive characterization Results for all domains." 4
  Print " " 0
  Print "TEST FAILED " 0 31
  Print " " 0
  exit 1
else
  Print " " 4
  Print "Retrived characterization results for all domains." 4
  Print " " 4
  Print "TEST PASSED " 4 32
  Print " " 4
fi